Name:		contractor
Version:	0.3.5
Release:	%mkrel 1
Summary:	Desktop-wide extension service
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://github.com/elementary/contractor
Source0:	https://github.com/elementary/contractor/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala

BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0)

Requires:	dbus

%description
An extension service that allows apps to use the exposed functionality
of registered apps. This way, apps don't have to have the functions hard
coded into them.

%prep
%autosetup


%build
%meson
%meson_build

%install
%meson_install

# Create the the directory where other programs put their contracts
mkdir -p %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%license COPYING
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.elementary.%{name}.service


%changelog
* Sun Sep 11 2022 neoclust <neoclust> 0.3.5-1.mga9
+ Revision: 1886927
- New version 	0.3.5

* Sat Mar 26 2022 umeabot <umeabot> 0.3.4-4.mga9
+ Revision: 1827417
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.3.4-3.mga8
+ Revision: 1525430
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 0.3.4-2.mga7
+ Revision: 1392140
- Rebuild with meson 0.50.1

* Fri Sep 07 2018 daviddavid <daviddavid> 0.3.4-1.mga7
+ Revision: 1257625
- initial package contractor

